### Method

# ECal ComponentAlarm get_trigger

since: 3.34

#### Declaration [src]

    ECalComponentAlarmTrigger*
    e_cal_component_alarm_get_trigger (
      const ECalComponentAlarm* alarm
    )

#### Description [src]

Get the `alarm` trigger, as an `ECalComponentAlarmTrigger`.

Available since: 3.34

#### Return value

Type: `ECalComponentAlarmTrigger`

The `alarm` trigger, or `NULL` when, none is set.

The returned data is owned by the instance.
The return value can be `NULL`.